GNOME-MPLAYER(1)

NAME
gnome-mplayer - a simple GUI for MPlayer

SYNOPSIS
gnome-mplayer [options] files...
gnome-mplayer [options] cdda://
gnome-mplayer [options] [dvd|dvdnav]://
gnome-mplayer [options] [http|mms|rtsp]://
gnome-mplayer [options] /dev/[sd*|dvd|cdrom]

DESCRIPTION
This manual page documents briefly the gnome-mplayer command.

gnome-mplayer provides a simple and clean interface to MPlayer.
GNOME MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of GNOME MPlayer from a single command.
GNOME MPlayer can be used to play media on websites when used in conjunction with Gecko Mediaplayer.

Homepage: http://kdekorte.googlepages.com/gnomemplayer

INTERACTIVE CONTROL
Many of the keyboard shortcuts in gnome-mplayer are the same as those found in mplayer. Here is a list of more of the commonly used shortcuts.

  Keyboard Controls

Media Position
Right Arrow - Fast Forward
Left Arrow - Fast Reverse
Page Up - Seek 10min forward
Page Down - Seek 10min backward
Up Arrow - Seek 1 min forward
Down Arrow - Seek 1 min backward
Space - Pause
p - Pause

Video Adjustment
1 - Contrast down 5
2 - Contrast up 5
3 - Brightness down 5
4 - Brightness up 5
5 - Hue down 5
6 - Hue up 5
7 - Saturation down 5
8 - Saturation up 5

Playback Adjustment
[ - Play 10% slower
] - Play 10% faster
{ - Half speed playback
} - Double speed playback

Volume Adjustement
9 - Volume down 10
0 - Volume up 10
m - Mute

Audio and Subtitle Track Adjustment
# - Switch Audio Track
j - Subtitle select
v - Subtitle visibility
+ - Increase Audio Delay
- - Decreate Audio Delay
z - Decrease Subtitle Delay
x - Increate Subtitle Delay

Other Options
Ctrl-D - Show/Hide file details
Ctrl-P - Show/Hide playlist
Ctrl-F/F - Un/Fullscreen
q - Quit immediately

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

Help Options:

-?, --help
    Show summary of options

--help-all
    Show all help options

--help-gtk
    Show GTK+ Options

Application Options:

--window=WID
    Window to embed in

-w, --width=X
    Width of window to embed in

-h, --height=Y
    Height of window to embed in

--controlid=CID
    Unique DBUS controller id

--playlist
    File Argument is a playlist

-v, --verbose
    Show more output on the console

--reallyverbose
    Show even more output on the console

--fullscreen
    Start in fullscreen mode

--softvol
    Use mplayer software volume control

--mixer=MIXER
    Mixer to use

--volume
    Set initial volume percentage

--showcontrols=[0|1]
    Show the controls in window

--showsubtitles=[0|1]
    Show the subtitles if available, defaults to 1 (yes)

--autostart=[0|1]
    Autostart the media. Default is 1, set to 0 to load but don't play

--disablecontextmenu
    Disable popup menu on right click

--disablefullscreen
    Disable fullscreen options in browser mode

--loop
    Play all files on the playlist forever

-q, --quit_on_complete
    Quit application when last file on playlist is played

--random
    Play items on playlist in random order

--cache
    Set cache size

--forcecache
    Force cache usage on streaming sites

--disabledeinterlace
    Disable the deinterlace filter

--disableframedrop
    Don't skip drawing frames to better keep sync

--disableass
    Use the old subtitle rendering system

--disableembeddedfonts
    Don't use fonts embedded on matroska files

--vertical
    Use Vertical Layout

--showplaylist
    Start with playlist open

--showdetails
    Start with details visible

--rpname=NAME
    Real Player Name

--rpconsole=CONSOLE
    Real Player Console ID

--rpcontrols=Control Name,...
    Real Player Console Controls

--subtitle=FILENAME
    Subtitle file for first media file

--tvdevice=DEVICE
    TV device name

--tvdriver=DRIVER
    TV driver name (v4l|v4l2)

--tvinput=INPUT
    TV input name

--tvwidth=WIDTH
    Width of TV input

--tvheight=HEIGHT
    Height of TV input

--tvfps=FPS
    Frames per second from TV input

--single_instance
    Only allow one instance

--replace_and_play
    Put single instance mode into replace and play mode

--large_buttons
    show interface with bigger icons, useful for touchscreens

--always_hide_after_timeout
    control bar will always slide away, useful for small screens

--new_instance
    Ignore single instance preference for this instance

--keep_on_top
    Keep window on top

--disable_cover_art_fetch
    Don't fetch new cover art images

--display=DISPLAY
    X display to use

AUTHOR
gnome-mplayer was written by Kevin DeKorte <kdekorte@gmail.com>.